Page MenuHomeFreeBSD

science/mcstas-comps: Update to 2.5 and unbreak
ClosedPublic

Authored by kai on Feb 17 2019, 9:41 PM.

Details

Summary

PR 234590

While I'm here:

  • Add post-install target to strip binary files and create symbolic links to ${PREFIX}

/bin

  • Add shebang fix for sasview_generator.py
Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r342772 amd64 + i386) -> OK
  • portlint -> OK (with a warning, that portname shouldn't contain hyphens)
  • Runtime tests -> OK

Minor fixes from original patch:

  • Fixed MASTER_SITES by changing ${PORTNAME} to ${PORTNAME:C/-comps\$} (I might also use just "mcstas" instead of ${PORTNAME:C/-comps\$} to make it more readable if desired)
  • Removed STRIP=#none because it had no effect and always produced non-stripped binaries

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Feb 17 2019, 9:41 PM
tcberner requested changes to this revision.Feb 18 2019, 6:51 PM
tcberner added inline comments.
science/mcstas-comps/Makefile
1 ↗(On Diff #54024)

^nope -- unless you have explicit permission by Erik B. Knudsen

This revision now requires changes to proceed.Feb 18 2019, 6:51 PM
tcberner added inline comments.Feb 18 2019, 6:52 PM
science/mcstas-comps/Makefile
18 ↗(On Diff #54024)

CMAKE_ON=enable_mcstas

should work too, and reads nicer ^^

20 ↗(On Diff #54024)

^ why +=

kai updated this revision to Diff 54051.Feb 18 2019, 10:23 PM
  • Re-Added "# Created by" line manually. The creator is still the actual maintainer so that line didn't get my full attention when I created this review.
  • Removed CMAKE_ARGS completely as it seems not to be used by the configure/build process. I have compared the build logs with CMAKE_ARGS and CMAKE_ON enabled and in both cases a warning from CMake was generated that the argument "enable_mcstas" is not used.
  • Changed "+=" into "=" for PLIST_SUB
kai marked 3 inline comments as done.Feb 18 2019, 10:36 PM
kai added inline comments.
science/mcstas-comps/Makefile
1 ↗(On Diff #54024)

Good catch, the creator is still the actual maintainer thus that line didn't get my full attention. I have now restored that line to avoid confusion.

18 ↗(On Diff #54024)

That's neat and reads indeed nicer. But I have removed it completely because it seems to be unused during the whole configure/build process.

20 ↗(On Diff #54024)

Oops, indeed. There's no reason to use += .

miwi accepted this revision.Feb 19 2019, 1:44 PM

LGTM

This revision was not accepted when it landed; it landed in state Needs Review.Feb 20 2019, 10:34 PM
This revision was automatically updated to reflect the committed changes.
kai marked 3 inline comments as done.